import { AfterViewInit } from '@angular/core';
import { CompositeDownloadService } from '@armor/platform-browser';
import { CsvDataExportService } from '../../services/data/csv-data-export.service';
import { IDataService } from '../../services/data/data-service.interface';
import { IExportConfig } from '../../models/tables/export-config.interface';
export declare class TableExportComponent implements AfterViewInit {
    private downloadService;
    private csvDataExportService;
    constructor(downloadService: CompositeDownloadService, csvDataExportService: CsvDataExportService);
    dataService: IDataService;
    exportConfig: IExportConfig;
    ngAfterViewInit(): void;
    exportAll(): void;
    exportFiltered(): void;
    download(data: any[]): void;
}
